API ReferenceJSON credential configuration
Retrieve all JSON credentials configurations
GET
/v2/credentials/web-semantic/configurationsReturns a list of all JSON credential configurations on your tenant.
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_STARTCREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_SUCCESSCREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?number
Range size of returned list.
Range
1 <= value <= 1000Default
100cursor?string
Starting point for the list of entries.
type?string
The optional credential type to filter on
Response Body
application/json
application/json
curl -X GET "https://example.com/v2/credentials/web-semantic/configurations"{ "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM", "data": [ { "id": "983c0a86-204f-4431-9371-f5a22e506599", "name": "Course credential", "description": "This credential shows that the person has attended a course.", "type": "CourseCredential", "additionalTypes": [ "AlumniCredential", "EducationCredential" ], "contexts": [ "https://optionalschema.example/" ], "issuer": { "name": "ABC University", "logoUrl": "https://example.edu/img/logo.png", "iconUrl": "https://example.edu/img/icon.png" }, "proofType": "Ed25519Signature2018", "credentialBranding": { "backgroundColor": "#B00AA0", "watermarkImageUrl": "https://example.edu/img/watermark.png" }, "claimMappings": { "firstName": { "mapFrom": "claims.given_name", "required": true }, "address": { "mapFrom": "claims.address.formatted" }, "picture": { "mapFrom": "claims.picture", "defaultValue": "http://example.edu/img/placeholder.png" }, "badge": { "defaultValue": "http://example.edu/img/badge.png" }, "providerSubjectId": { "mapFrom": "authenticationProvider.subjectId" } }, "persist": false, "revocable": true, "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60", "expiresIn": { "years": 0, "months": 3, "weeks": 0, "days": 0, "hours": 0, "minutes": 0, "seconds": 0 } } ]}How would you rate this page?
Create a JSON credentials configuration POST
Creates a new JSON credentials configuration, a specific set of rules and parameters that are used to create and validate a particular type of verifiable credential. These rules and parameters define how the credential is structured and what data it contains when issued.
Retrieve a JSON credentials configuration GET
Retrieve a JSON credentials configuration by providing its ID.